org.bdgenomics.cannoli.Cannoli

# CannoliVariantContextDataset

###
Related Doc: package Cannoli

#### implicit class CannoliVariantContextDataset extends AnyRef

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CannoliVariantContextDataset
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new CannoliVariantContextDataset(vcs: VariantContextDataset)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def annotateWithSnpEff(args: SnpEffArgs, stringency: ValidationStringency = ValidationStringency.LENIENT): VariantContextDataset

   Annotate the variant contexts in this VariantContextDataset with SnpEff via Cannoli.

   Annotate the variant contexts in this VariantContextDataset with SnpEff via Cannoli.

   args

     SnpEff function arguments.

   stringency

     Validation stringency. Defaults to ValidationStringency.LENIENT.

   returns

     VariantContextDataset.

5. #### def annotateWithVep(args: VepArgs, stringency: ValidationStringency = ValidationStringency.LENIENT): VariantContextDataset

   Annotate the variant contexts in this VariantContextDataset with Ensembl VEP via Cannoli.

   Annotate the variant contexts in this VariantContextDataset with Ensembl VEP via Cannoli.

   args

     Vep function arguments.

   stringency

     Validation stringency. Defaults to ValidationStringency.LENIENT.

   returns

     VariantContextDataset.

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def normalizeWithBcftools(args: BcftoolsNormArgs, stringency: ValidationStringency = ValidationStringency.LENIENT): VariantContextDataset

    Normalize the variant contexts in this VariantContextDataset with bcftools norm via Cannoli.

    Normalize the variant contexts in this VariantContextDataset with bcftools norm via Cannoli.

    args

      Bcftools norm function arguments.

    stringency

      Validation stringency. Defaults to ValidationStringency.LENIENT.

    returns

      VariantContextDataset.

16. #### def normalizeWithVt(args: VtNormalizeArgs, stringency: ValidationStringency = ValidationStringency.LENIENT): VariantContextDataset

    Normalize the variant contexts in this VariantContextDataset with vt normalize via Cannoli.

    Normalize the variant contexts in this VariantContextDataset with vt normalize via Cannoli.

    args

      Vt normalize function arguments.

    stringency

      Validation stringency. Defaults to ValidationStringency.LENIENT.

    returns

      VariantContextDataset.

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped